[Vala] [PATCH] Adopting the C99ism of the previous commit
- From: Mathias Hasselmann <mathias hasselmann gmx de>
- To: vala paldo org
- Subject: [Vala] [PATCH] Adopting the C99ism of the previous commit
- Date: Mon, 19 Mar 2007 11:05:32 +0100
---
trunk/vala/tests/testrunner.sh | 5 +++--
1 files changed, 3 insertions(+), 2 deletions(-)
diff --git a/trunk/vala/tests/testrunner.sh b/trunk/vala/tests/testrunner.sh
index e6f93c0..2412c84 100755
--- a/trunk/vala/tests/testrunner.sh
+++ b/trunk/vala/tests/testrunner.sh
@@ -25,8 +25,9 @@ topbuilddir=$builddir/..
vapidir=$topbuilddir/vapi
VALAC=$topbuilddir/compiler/valac
-CC=gcc
+CC=c99
CFLAGS="-O0 -g3"
+LDLIBS="-lm"
CODE=0
@@ -38,7 +39,7 @@ do
CODE=1
continue
fi
- if ! $CC $CFLAGS $(pkg-config --cflags --libs gobject-2.0) -o $testcase $testcase.c > $testcase.err
2>&1
+ if ! $CC $CFLAGS $(pkg-config --cflags --libs gobject-2.0) $LDLIBS -o $testcase $testcase.c >
$testcase.err 2>&1
then
CODE=1
continue
--
1.4.4.2
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]